import { EventEmitter } from './_emitter.js';
import { ContractData } from '../../types/index.js';
export declare class EscrowContract extends EventEmitter {
    readonly _data: ContractData;
    constructor(contract: ContractData);
    get agent(): {
        id: string;
        pk: string;
        pn: string;
    };
    get cid(): string;
    get data(): ContractData;
    get date(): {
        activated: number | null;
        deadline: number;
        expires_at: number | null;
        published: number;
        updated_at: number;
    };
    get tab(): {
        balance: number;
        agent_fee: number;
        payments: number;
        pending: number;
        subtotal: number;
        txfee: number;
        total: number;
    };
    get moderator(): string | null;
    get outputs(): import("../../types/contract.js").SpendTemplate[];
    get prop_id(): string;
    get pubkeys(): string[];
    get signatures(): string[];
    get status(): import("../../types/contract.js").ContractStatus;
    get terms(): import("../../types/proposal.js").ProposalData;
    get tx(): {
        settled: boolean;
        settled_at: number | null;
        spent: boolean;
        spent_at: number | null;
        spent_txid: string | null;
    };
    get vm_state(): import("../../types/vm.js").StateData | null;
    create_witness(): void;
    submit_witness(): void;
    toJSON(): ContractData;
    toString(): string;
}
